#include "MenuTextDown_Player1Joystick.h"

InputSetting_Joystick* MenuTextDown_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextDown_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_down;
}

std::weak_ptr<Entity> MenuTextDown_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextDown_Player1Joystick()
{
	return std::make_shared<MenuTextDown_Player1Joystick>();
}

